%define name	mscore
%define version	1.3
%define release	%mkrel 1

Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   Free music composition and notation software
License:   GPL
Group:     Sound
URL:       http://www.musescore.org/
BuildRoot: %{_tmppath}/%{name}-root
Source:     http://downloads.sourceforge.net/projects/%{name}/files/%{name}/Musescore-%{version}/%{name}-%{version}.tar.xz
Patch1:    mscore-no-build-locales.patch
Patch2:    mscore-disable-uitools.patch
#Patch3:    mscore-no-portaudio.patch
#Patch4:    mscore-use-GTK+.patch

BuildRequires: libqt4-devel >= 4.5
BuildRequires: cmake >= 2.6
BuildRequires: gettext
BuildRequires: libice6-devel
BuildRequires: libalsa-devel
BuildRequires: libjack-devel
BuildRequires: texlive
BuildRequires: lilypond
BuildRequires: libopenssl-devel
BuildRequires: doxygen
BuildRequires: graphviz
BuildRequires: desktop-file-utils

#Musecore will build without some of the above, like portaudio,
#however all options may not work or be available.

Requires: qtscriptbindings
Requires: qtscriptgenerator
Requires: libalsa
Requires: alsa-plugins-jack
Requires: alsa-plugins-pulseaudio
Requires: jackit
Requires: desktop-file-utils

%description
MuseScore is a free cross platform WYSIWYG music notation program, licenced
under GNU GPL. Some highlights:

    * WYSIWYG, notes are entered on a "virtual note sheet"
    * Unlimited number of staves
    * Up to four voices per staff
    * Easy and fast note entry with mouse, keyboard or MIDI
    * Integrated sequencer and FluidSynth software synthesizer
    * Import and export of MusicXML and Standard MIDI Files (SMF)
    * Platform independent code, binaries available for Linux and Windows
    * Available in ten languages
    * GNU GPL licenced

%prep
%setup -q

%patch1 -p1 -b .mscore-no-build-locales
%patch2 -p1 -b .mscore-disable-uitools
#patch3 -p1 -b .mscore-no-portaudio
#patch4 -p1 -b .mscore-use-GTK+

%build
export PATH=/usr/lib/qt4/bin:$PATH
%cmake ../mscore

make lupdate
make lrelease
%make

%install

make install DESTDIR=%{buildroot}

mkdir -p %{buildroot}%{_docdir}/%{name}-%{version}
mkdir -p %{buildroot}%{_iconsdir}
mkdir -p %{buildroot}%{_datadir}/mime/packages
mkdir -p %{buildroot}%{_datadir}/soundfonts

cp %{_builddir}/%{name}-%{version}/%{name}/%{name}/data/%{name}.png	%{buildroot}%{_iconsdir}
cp %{_builddir}/%{name}-%{version}/%{name}/ChangeLog			%{buildroot}%{_docdir}/%{name}-%{version}
cp %{_builddir}/%{name}-%{version}/%{name}/COPYING			%{buildroot}%{_docdir}/%{name}-%{version}
cp %{_builddir}/%{name}-%{version}/%{name}/NEWS				%{buildroot}%{_docdir}/%{name}-%{version}
cp %{_builddir}/%{name}-%{version}/%{name}/README*			%{buildroot}%{_docdir}/%{name}-%{version}
cp %{_builddir}/%{name}-%{version}/%{name}/share/sound/TimGM6mb.sf2	%{buildroot}%{_datadir}/soundfonts
rm -fr %{_builddir}/%{name}-%{version}/%{name}/packaging

#new style menu

cat > %{buildroot}%{_datadir}/applications/%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=MuseScore
Comment=%{summary}
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
MimeType=application/x-%{name};
Categories=Audio;X-MandrivaLinux-Multimedia-Sound
EOF

#new style mime-type
cat > %{buildroot}%{_datadir}/mime/packages/%{name}.xml <<EOF
<?xml version="1.0"?>
<mime-info xmlns="http://www.freedesktop.org/standards/shared-mime-info">
  <mime-type type="application/x-mscore">
    <comment>mscore file</comment>
    <glob pattern="*.mscx, *.mscz, *.msc"/>
     <magic priority="60">
       <match value="museScore" type="string" offset="20:140"/>
     </magic>
  </mime-type>
</mime-info>
EOF

%clean
rm -rf %{buildroot}

%post
%{update_mime_database}
%{update_desktop_database}

%postun
%{clean_mime_database}
%{clean_desktop_database}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_iconsdir}/%{name}.png
%{_datadir}/pixmaps/*
%{_docdir}/%{name}-%{version}/ChangeLog
%{_docdir}/%{name}-%{version}/COPYING
%{_docdir}/%{name}-%{version}/NEWS
%{_docdir}/%{name}-%{version}/README*
%{_datadir}/%{name}-%{version}/*
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml
%{_datadir}/soundfonts/TimGM6mb.sf2
%{_libdir}/qt4/plugins/designer/libawlplugin.so
%exclude %{_libdir}/qt4/plugins/script/libqtscript_core.so
%exclude %{_libdir}/qt4/plugins/script/libqtscript_gui.so
%exclude %{_libdir}/qt4/plugins/script/libqtscript_network.so
%exclude %{_libdir}/qt4/plugins/script/libqtscript_xml.so

%changelog
* Fri Mar 01 2013 gseaman <galen.seaman at comcast.net> 1.3-1gseaman2012
- 1.3

* Sun Mar 25 2012 Galen Seaman <gseaman@clear.net> 1.2-1pclos2012
- update 1.2

* Wed Jul 27 2011 Galen Seaman <gseaman2186@comcast.net> 1.1-1pclos2011
- update 1.1

* Sat Mar 05 2011 gseaman <gseaman2186 at comcast.net> 1.0-4pclos2011
- use style=GTK+ as default Oxygen theme is buggy

* Fri Feb 11 2011 Texstar <texstar at gmail.com> 1.0-3pclos2011
- exclude plugins and add dependency on qtscriptbindings

* Tue Feb 08 2011 Texstar <texstar at gmail.com> 1.0-2pclos2011
- add patch to skip locales in build
- add conflict to qtscriptbindings as this package contains the same files

* Tue Jan 18 2011 Galen Seaman <gseaman2186 at comcast.net> 1.0-1pclos2011
- Update to version 1.0

* Tue Jun 02 2010 Galen Seaman <gseaman2186 at comcast.net> version 0.6-1pclos2010
- Update to version 0.6

* Sat Aug 15 2009 Galen Seaman <gseaman2186 at comcast.net> version 0.5-1pclos2009
- Update to version 0.5

* Thu May 27 2009 Galen Seaman <gseaman2186 at comcast.net> version 0.4-1pclos2009
- First build for PCLinuxOS
